import { ThreadCollection, Module, Register } from '..';
export interface AdditionalInfoConstructorOptions {
    os: string;
    debuggerOutput: string;
    registers: Array<Register>;
    modules: Array<Module>;
    threads: Array<ThreadCollection>;
}
export declare class AdditionalInfo implements AdditionalInfoConstructorOptions {
    os: string;
    debuggerOutput: string;
    registers: Array<Register>;
    modules: Array<Module>;
    threads: Array<ThreadCollection>;
    constructor(options: AdditionalInfoConstructorOptions);
    static fromRawResponse(response: any): AdditionalInfo;
}
